var Player =
{
    curTime : 0,
    totTime : 0,
	lastSeek : -1,
	FF : 0,
	RW : 1,
	state : -1,
	UNLOADED : -1,
	LOADED : 0,
    STOPPED : 1,
	BUFFERING : 2,
    PLAYING : 3,
    PAUSED : 4,  
    ENDED : 5,
	seekAmmount : 20,
	playerinit : 0,
	zoomstep : 0
}

Player.init = function()
{
    var success = true;
    this.state = this.STOPPED;
    return success;
}

Player.deinit = function()
{
        jwplayer.Stop();
}

Player.setVideoURL = function(url)
{
    this.url = url;
    alert("URL = " + this.url);
}


/* jwplayer('flashplayer').setup({
    'flashplayer': 'player.swf',
    'width': '960',
    'height': '540',
    'controlbar.position': 'over',	
    'file': this.url,
    'streamer': 'rtmp://vod-bonanza.gss.dr.dk/bonanza',
    'icons': 'true',	
    'autostart': 'true',
	'stretching': 'fill',
	'smoothing': 'false',
	'bufferlength': '2'

 jwplayer('flashplayer').setup({
    'flashplayer': 'player.swf',
    'width': '480',
    'height': '270',
    'file': this.url,
    'streamer': 'rtmp://vod-bonanza.gss.dr.dk/bonanza',
    'autostart': 'true',
	'stretching': 'fill'
  });
  
  	*/
	
//		widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
//		var p;
//		p='<object type="application/x-shockwave-flash" id="rmtpplayerHD" name="rmtpplayerHD" width="960" height="540">';
//		p=p+'<param name="movie" value="player.swf"><param name="allowscriptaccess" value="always">';
		//removed <param name="wmode" value="transparent"> for possible fps improvement, return it if overlay html is needed
//		p=p+'<param name="flashvars" value="file=' + this.url + '&streamer=rtmp://vod-bonanza.gss.dr.dk/bonanza&controlbar.position=over&autostart=true&icons=true&stretching=fill&smoothing=true&bufferlength=2"></object>';
//		widgetAPI.putInnerHTML(document.getElementById("flashplayer"), p);

//	   jwplayer().load( {file:this.url, streamer:'rtmp://vod-bonanza.gss.dr.dk/bonanza'});

Player.playVideo = function()
{
    if (this.url == null)
    {
        alert("No videos to play");
    }
    else
    {
	    Main.setFullScreenMode();
	if (this.playerinit <= 1)
	  {
      alert("*** Setting up the flowplayer ***");
	  
	  jwplayer('flashplayer').setup({
		'flashplayer': 'player.swf',
		'width': '960',
		'height': '540',
		'file': this.url,
		'controlbar.position': 'over',			
		'streamer': 'rtmp://vod-bonanza.gss.dr.dk/bonanza',
		'autostart': 'true',
		'stretching': 'fill',
        'icons': 'true'
		});  
	  this.playerinit = 2;
	  }
	 else
	   {
	   alert ('loading player with: '+this.url);
	   this.resumeVideo();
	   jwplayer().load( {file:this.url, streamer:'rtmp://vod-bonanza.gss.dr.dk/bonanza'});
	   //jwplayer().seek(0);
	   }
        //this.setWindow();
		this.state = this.PLAYING;
    }
}

Player.pauseVideo = function()
{
    this.state = this.PAUSED;
   	jwplayer().pause();
}

Player.stopVideo = function()
{
this.setWindowSmall();
    if (Main.mode != Main.WINDOW)
        Display.show();
jwplayer().seek(0);
jwplayer().pause();
this.state = this.STOPPED;
Main.mode = Main.WINDOW;
}

/*
Player.stopVideo = function()
{
    if (this.state != this.STOPPED)
    {
        this.state = this.STOPPED;
		jwplayer().stop();
		document.getElementById("flashplayer").style.display="none";
		document.getElementById("main").style.display="block";
    }
    else
    {
        alert("Ignoring stop request, not in correct state");
    }
}
*/

Player.setWindowSmall = function()
{
	document.getElementById("flashplayer").style.left="798";
	document.getElementById("flashplayer").style.top="410";
	document.getElementById("flashplayer").style.width="120";
	document.getElementById("flashplayer").style.height="67";
	document.getElementById("flashplayer").style.visiblity="hidden";
}

Player.setWindow = function()
{
	document.getElementById("flashplayer").style.left="678";
	document.getElementById("flashplayer").style.top="348";
	document.getElementById("flashplayer").style.width="240";
	document.getElementById("flashplayer").style.height="135";
	document.getElementById("flashplayer").style.visibility="visible";
	document.getElementById("flashplayer").style.display="block";
}

//Zooming hack since flowplayer is missing fill scaling
Player.setFullscreen = function()
{
var left = 0 - this.zoomstep;
var top= 0 - this.zoomstep;
var width= 960 + (this.zoomstep*2);
var height= 540 + (this.zoomstep*2);

	document.getElementById("flashplayer").style.left=left.toString();
	document.getElementById("flashplayer").style.top=top.toString();
	document.getElementById("flashplayer").style.width=width.toString();
	document.getElementById("flashplayer").style.height=height.toString();
	document.getElementById("flashplayer").style.visibility="visible";
	document.getElementById("flashplayer").style.display="block";
}


Player.resumeVideo = function()
{
    this.state = this.PLAYING;
   	jwplayer().play();
}

Player.seekDefault = function()
{
this.seekAmmount = 20;
}

Player.seekIncrease = function()
{
  clearTimeout(this.seekTimeout);
  this.seekTimeout = setTimeout("Player.seekDefault()", 3000);
}

Player.FFskip = function()
{
	if(this.state != this.STOPPED)
    {
		jwplayer().seek( jwplayer().getPosition() + this.seekAmmount );
		Player.seekIncrease();
		if (Player.lastSeek != this.RW)
			this.seekAmmount = this.seekAmmount * 1.4;
		Player.lastSeek = this.FF;
    }
}

Player.RWskip = function()
{
    if(this.state != this.STOPPED)
    {
		jwplayer().seek( jwplayer().getPosition() - this.seekAmmount )
		Player.seekIncrease();    
		if (Player.lastSeek != this.FF)
			this.seekAmmount = this.seekAmmount * 1.4;
		Player.lastSeek = this.RW;
    }
}

Player.getState = function()
{
    return this.state;
}

