var Server =
{
    /* Callback function to be set by client */
    dataReceivedCallback : null,
    XHRObj : null
}

Server.init = function()
{
    var success = true;

    if (this.XHRObj)
    {
        this.XHRObj.destroy();  // Save memory
        this.XHRObj = null;
    }
    
    return success;
}

//Laver en liste over topmenu fra Bonanza
Server.ParseTopmenu = function() 
{
    Data.init();
    document.getElementById("loadingIcon").style.display = "block";
	
var req = new XMLHttpRequest();  
req.abort();
req.open('GET', 'http://www.dr.dk/Bonanza/index.htm', false);   
req.send(null);  

var n = 1;
var count = 1;
var sbstr = '';
var i=0;

if (req.status != 200)
	{
	Display.status("Server Error " + req.status);
	return;
	}
	 webpage = req.responseText;
     sbstr = '/Bonanza/kategori/';
     n = webpage.indexOf(sbstr, count);
	 while (n > 0 && i < 50)
		{
		Data.thumb[i] = '';
		Data.description[i] = ' ';
		// 1. Find the topdata url
		count = n+18;
		n = webpage.indexOf('.htm">', count);
		sbstr = webpage.substr(count, n - count);
		Data.link[i] = sbstr;
		// 2. Find the Title
		count = n+6;
		n = webpage.indexOf('</', count);
		sbstr = webpage.substr(count, n - count);
		Data.title[i] = sbstr;
		alert (Data.title[i]);
		//search for next entry
		sbstr = '/Bonanza/kategori/';
		n = webpage.indexOf(sbstr, count);
		i=i+1;
		}
	  alert ('Done parsing...');
    Data.videoCount = i;
    if (this.dataReceivedCallback)
    {
        this.dataReceivedCallback();    // Notify all data is received and stored
    }
}



//Laver en liste over serie muligheder fra Bonanza
Server.ParseKategorier = function(genre) 
{
    Data.init();
    document.getElementById("loadingIcon").style.display = "block";
	
var req = new XMLHttpRequest();  
req.abort();
req.open('GET', 'http://www.dr.dk/Bonanza/kategori/'+genre+'.htm', false);   
alert ('http://www.dr.dk/Bonanza/kategori/'+genre+'.htm');
	
//req.onreadystatechange= Main.GotData(req, genre);
req.send(null);  

var n = 1;
var count = 1;
var sbstr = '';
var i=0;
var noLowerCase=-1;

if (req.status != 200)
	{
	Display.status("Server Error " + req.status);
	return;
	}


     alert ('starting parsing...');
	 webpage = req.responseText;
     sbstr = '<a href="http://www.dr.dk/bonanza/serie/'+genre.toLowerCase();
	 
	 //find serie string først
	 sbstr = '<a href="http://www.dr.dk/bonanza/serie/';
     n = webpage.indexOf(sbstr, count);
	 count=n+sbstr.length;
     sbstr = webpage.substr(count, webpage.indexOf('/', count) - count);
	 genre = sbstr;

     alert ('DEBUG: Search for : ' + sbstr);
     alert ('Result: ' + n);
	 while (n > 0 && i < 50)
		{
		// 1. Find the series url
		count = n+9; //exact spot where url starts
		n = webpage.indexOf('" target=', count);
		sbstr = webpage.substr(count, n - count);
		Data.link[i] = sbstr;
		// 2. Find the thumbnail url
		count = n;
		n = webpage.indexOf('<img src="', count);
		count = n+10; //exact spot where url starts
		n = webpage.indexOf('" width="', count);
		sbstr = webpage.substr(count, n - count);
		Data.thumb[i] = sbstr;
		// 3. Find Title
		count = n;
		n = webpage.indexOf('<b>', count);
		count = n+3; //exact spot where title starts
		n = webpage.indexOf('</b>', count);
		sbstr = webpage.substr(count, n - count);
		Data.title[i] = sbstr;
		// 4. Find Description
		count = n;
		n = webpage.indexOf('<span>', count);
		count = n+6; //exact spot where title starts
		n = webpage.indexOf('</span>', count);
		sbstr = webpage.substr(count, n - count);
		Data.description[i] = sbstr;
		//search for next entry		
		sbstr = '<a href="http://www.dr.dk/bonanza/serie/'+genre;	
		n = webpage.indexOf(sbstr, count);
		i=i+1;
		}
	  alert ('Done parsing...');
    Data.videoCount = i;

    if (this.dataReceivedCallback)
    {
        this.dataReceivedCallback();    // Notify all data is received and stored
    }

}






Server.ParseSerieEpisodes = function(url) 
{
    Data.init();
    document.getElementById("loadingIcon").style.display = "block";
	
var req = new XMLHttpRequest();  
req.abort();
req.open('GET', url, false);   
//req.onreadystatechange= Main.GotData(req, genre);
req.send(null);  

var n = 1;
var count = 1;
var sbstr = '';
var i=0;

if (req.status != 200)
	{
	Display.status("Server Error " + req.status);
	return;
	}


     alert ('starting parsing...');
	 webpage = req.responseText;
     sbstr = 'class="listItem Video" title="';
     n = webpage.indexOf(sbstr, count);
     alert ('DEBUG: Search for : ' + sbstr);
     alert ('Result: ' + n);
	 while (n > 0 && i < 50)
		{
		// 1. Find the Title
		count = n+30; //exact spot where title starts
		n = webpage.indexOf('" id=', count);
		sbstr = webpage.substr(count, n - count);
		Data.title[i] = sbstr;
		// 2. Find the Description
		count = n;
		n = webpage.indexOf('Description&quot;:&quot;', count);
		count = n+24;
		n = webpage.indexOf('Duration', count);
		sbstr = webpage.substr(count, (n-13) - count);
		Data.description[i] = sbstr;
		// 3. Find Thumb
		count = n;
		n = webpage.indexOf('http://downol.dr.dk', count);
		count = n;
		n = webpage.indexOf('&quot', count);
		sbstr = webpage.substr(count, n - count);
		Data.thumb[i] = sbstr;
		// 4. Find SMTP url
		count = n;
		n = webpage.indexOf('mp4:', count);
		count = n;
		n = webpage.indexOf('&quot', count);
		sbstr = webpage.substr(count, n - count);
		Data.link[i] = sbstr;
		//search for next entry
		sbstr = 'class="listItem Video" title="';
		n = webpage.indexOf(sbstr, count);
		i=i+1;
		}
	  alert ('Done parsing...');
    Data.videoCount = i;

    if (this.dataReceivedCallback)
    {
        this.dataReceivedCallback();    // Notify all data is received and stored
    }

}
